For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all charge codes
        • GETGet a charge code by ID
        • GETGet all financial accounts
        • GETGet a financial account by ID
        • GETGet all resident charges
        • GETGet a resident charge by ID
        • GETGet all recurring resident charges
        • GETGet recurring resident charge by ID
        • GETGet all resident payments
        • GETGet a resident payment by ID
        • POSTCreate Resident Charge: Rent Manager
        • POSTCreate Resident Credit: Rent Manager
        • POSTCreate Resident Recurring Charge: Rent Manager
        • PUTUpdate Recurring Resident Charge: Rent Manager
        • POSTCreate Resident Payment: Rent Manager
        • POSTBatch Create Resident Charges: Rent Manager
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Rent ManagerBilling and Payments

Create Resident Recurring Charge: Rent Manager

POST
/v1/recurring-resident-charges/rentmanager/
POST
/v1/recurring-resident-charges/rentmanager/
$curl -X POST https://api.propexo.com/v1/recurring-resident-charges/rentmanager/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
> "resident_id": "res_1234567890abcdef",
> "charge_code_id": "chg_abcdef1234567890",
> "amount_in_cents": 125000,
> "frequency_normalized": "MONTHLY"
>}'
1{
2 "meta": {
3 "job_id": "job_20240615_abcdef123456"
4 },
5 "result": {
6 "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
7 "resident_id": "res_1234567890abcdef",
8 "charge_code_id": "chg_abcdef1234567890",
9 "amount_in_cents": 125000,
10 "frequency_normalized": "MONTHLY",
11 "description": "Monthly rent charge for apartment 4B",
12 "start_date": "2024-06-01",
13 "end_date": "2025-05-31"
14 }
15}
Create Resident Recurring Charge: Rent Manager | Method | |---| | POST /RecurringCharges | <Note title="Notice">This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.</Note>
Was this page helpful?
Previous

Update Recurring Resident Charge: Rent Manager

Next
Built with

Create Resident Recurring Charge: Rent Manager

Method
POST /RecurringCharges
Notice
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
resident_idstringRequired
The Propexo unique identifier for the resident
charge_code_idstringRequired
The Propexo unique identifier for the charge code
amount_in_centsintegerRequired
The amount of the resident charge, in cents
frequency_normalizedenumRequired
The frequency of the recurring resident charge
Allowed values:
descriptionstringOptional
Description of the recurring resident charge
start_datestringOptional
The start date associated with the recurring resident charge. Required if frequency is DAILY or WEEKLY
end_datestringOptional
The end date associated with the recurring resident charge

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error